package javax.sql.rowset;

import java.sql.SQLException;

public class RowSetWarning extends SQLException
{
    static final long serialVersionUID = 6678332766434564774L;
    
    public RowSetWarning(String reason) {
        super(reason);
    }
    
    public RowSetWarning() {
    }
    
    public RowSetWarning(String reason, String sqlState) {
        super(reason, sqlState);
    }
    
    public RowSetWarning(String reason, String sqlState, int vendorCode) {
        super(reason, sqlState, vendorCode);
    }
    
    public RowSetWarning getNextWarning() {
        SQLException nextException = this.getNextException();
        if (nextException == null || nextException instanceof RowSetWarning) {
            return (RowSetWarning)nextException;
        }
        throw new Error("RowSetWarning chain holds value that is not a RowSetWarning: ");
    }
    
    public void setNextWarning(RowSetWarning nextException) {
        this.setNextException(nextException);
    }
}
